{% extends 'admin/admin.html.twig' %}

{% block title %} Toutes les recettes {% endblock %}

{% block body %}

    <a class="btn btn-primary" href="{{ path('admin.recipe.create') }}">Ajout +</a>

    <div id="flash">

    </div>

    <table class='table'>

        <thead>
            <tr>
                <th>{{ knp_pagination_sortable(recipes, 'ID', 'r.id') }}</th>
                <th>{{ knp_pagination_sortable(recipes, 'Titre', 'r.title') }}</th>
                <th>Categorie</th> 
                <th>Action</th>
            </tr>
        </thead>
        
        <tbody>
            {% for recipe in recipes %}
            <tr id="row_recipe_{{ recipe.id }}">
                <td> {{recipe.id}} </td>
                <td>
                    <turbo-frame id="{{recipe.id}}">
                        <a href="{{ path('admin.recipe.show', { id: recipe.id, slug: recipe.slug }) }}">{{ recipe.title }}</a>
                    </turbo-frame>
                </td>
                <td>
                    {{ recipe.category.name | default('') }}
                </td>
                <td>
                    <a class="btn btn-primary" href="{{ path('admin.recipe.edit', { id: recipe.id }) }}">Editer</a>
                    <form action="{{ path('admin.recipe.delete', { id: recipe.id }) }}" method="post">
                        <input type="hidden" name="_method" value="DELETE">
                        <button type="submit" class="btn btn-danger btn-sn">Supprimer</button>
                    </form>
                </td>
            </tr>
            {% endfor %}
        </tbody>

    </table>

    <div class="d-flex">
        {{ knp_pagination_render(recipes) }}
    </div>


{% endblock %}